<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:46:27 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Interface org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.Scheduler (org.eclipse.papyrus.marte.static.profile 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.Scheduler (org.eclipse.papyrus.marte.static.profile 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/class-use/Scheduler.html" target="_top">Frames</a></li>
<li><a href="Scheduler.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Interface org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.Scheduler" class="title">Uses of Interface<br>org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.Scheduler</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.util">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.util</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM.impl">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM.util">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM.util</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwComputing.impl">org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwComputing.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwDevice.impl">org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwDevice.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Concurrency.impl">org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Concurrency.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl">org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl">org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.util">org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.util</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a> in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subinterfaces, and an explanation">
<caption><span>Subinterfaces of <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a> in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Interface and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaCommHost.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaCommHost</a></span></code>
<div class="block">A representation of the model object '<em><b>Ga Comm Host</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaExecHost.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaExecHost</a></span></code>
<div class="block">A representation of the model object '<em><b>Ga Exec Host</b></em>'.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a> in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl</a> that implement <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaCommHostImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl">GaCommHostImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Ga Comm Host</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaExecHostImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl">GaExecHostImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Ga Exec Host</b></em>'.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl</a> declared as <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></code></td>
<td class="colLast"><span class="typeNameLabel">GaExecHostImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaExecHostImpl.html#mainScheduler">mainScheduler</a></span></code>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaExecHostImpl.html#getMainScheduler--"><code><em>Main Scheduler</em></code></a>' reference.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl</a> that return <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></code></td>
<td class="colLast"><span class="typeNameLabel">GaExecHostImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaExecHostImpl.html#basicGetMainScheduler--">basicGetMainScheduler</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></code></td>
<td class="colLast"><span class="typeNameLabel">GaExecHostImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaExecHostImpl.html#getMainScheduler--">getMainScheduler</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl</a> with parameters of type <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">GaExecHostImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaExecHostImpl.html#setMainScheduler-org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.Scheduler-">setMainScheduler</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a>&nbsp;newMainScheduler)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.util">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a> in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/util/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.util</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/util/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.util</a> with parameters of type <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/util/GQAMSwitch.html" title="type parameter in GQAMSwitch">T</a></code></td>
<td class="colLast"><span class="typeNameLabel">GQAMSwitch.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/util/GQAMSwitch.html#caseScheduler-org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.Scheduler-">caseScheduler</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Scheduler</em>'.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a> in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subinterfaces, and an explanation">
<caption><span>Subinterfaces of <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a> in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Interface and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/SaCommHost.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM">SaCommHost</a></span></code>
<div class="block">A representation of the model object '<em><b>Sa Comm Host</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/SaExecHost.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM">SaExecHost</a></span></code>
<div class="block">A representation of the model object '<em><b>Sa Exec Host</b></em>'.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a> in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM.impl</a> that implement <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/impl/SaCommHostImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM.impl">SaCommHostImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Sa Comm Host</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/impl/SaExecHostImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM.impl">SaExecHostImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Sa Exec Host</b></em>'.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM.util">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a> in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/util/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM.util</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/util/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM.util</a> with parameters of type <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/util/SAMSwitch.html" title="type parameter in SAMSwitch">T</a></code></td>
<td class="colLast"><span class="typeNameLabel">SAMSwitch.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/util/SAMSwitch.html#caseScheduler-org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.Scheduler-">caseScheduler</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Scheduler</em>'.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwComputing.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a> in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwComputing/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwComputing.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwComputing/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwComputing.impl</a> declared as <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></code></td>
<td class="colLast"><span class="typeNameLabel">HwComputingResourceImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwComputing/impl/HwComputingResourceImpl.html#mainScheduler">mainScheduler</a></span></code>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwComputing/impl/HwComputingResourceImpl.html#getMainScheduler--"><code><em>Main Scheduler</em></code></a>' reference.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwComputing/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwComputing.impl</a> that return <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></code></td>
<td class="colLast"><span class="typeNameLabel">HwComputingResourceImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwComputing/impl/HwComputingResourceImpl.html#basicGetMainScheduler--">basicGetMainScheduler</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></code></td>
<td class="colLast"><span class="typeNameLabel">HwComputingResourceImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwComputing/impl/HwComputingResourceImpl.html#getMainScheduler--">getMainScheduler</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwComputing/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwComputing.impl</a> with parameters of type <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">HwComputingResourceImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwComputing/impl/HwComputingResourceImpl.html#setMainScheduler-org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.Scheduler-">setMainScheduler</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a>&nbsp;newMainScheduler)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwDevice.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a> in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwDevice/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwDevice.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwDevice/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwDevice.impl</a> declared as <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></code></td>
<td class="colLast"><span class="typeNameLabel">HwDeviceImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwDevice/impl/HwDeviceImpl.html#mainScheduler">mainScheduler</a></span></code>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwDevice/impl/HwDeviceImpl.html#getMainScheduler--"><code><em>Main Scheduler</em></code></a>' reference.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwDevice/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwDevice.impl</a> that return <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></code></td>
<td class="colLast"><span class="typeNameLabel">HwDeviceImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwDevice/impl/HwDeviceImpl.html#basicGetMainScheduler--">basicGetMainScheduler</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></code></td>
<td class="colLast"><span class="typeNameLabel">HwDeviceImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwDevice/impl/HwDeviceImpl.html#getMainScheduler--">getMainScheduler</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwDevice/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwDevice.impl</a> with parameters of type <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">HwDeviceImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwDevice/impl/HwDeviceImpl.html#setMainScheduler-org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.Scheduler-">setMainScheduler</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a>&nbsp;newMainScheduler)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Concurrency.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a> in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Concurrency/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Concurrency.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Concurrency/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Concurrency.impl</a> declared as <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></code></td>
<td class="colLast"><span class="typeNameLabel">SwSchedulableResourceImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Concurrency/impl/SwSchedulableResourceImpl.html#host">host</a></span></code>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Concurrency/impl/SwSchedulableResourceImpl.html#getHost--"><code><em>Host</em></code></a>' reference.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Concurrency/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Concurrency.impl</a> that return <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></code></td>
<td class="colLast"><span class="typeNameLabel">SwSchedulableResourceImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Concurrency/impl/SwSchedulableResourceImpl.html#basicGetHost--">basicGetHost</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></code></td>
<td class="colLast"><span class="typeNameLabel">SwSchedulableResourceImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Concurrency/impl/SwSchedulableResourceImpl.html#getHost--">getHost</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Concurrency/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Concurrency.impl</a> with parameters of type <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.NotificationChain</code></td>
<td class="colLast"><span class="typeNameLabel">SwSchedulableResourceImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Concurrency/impl/SwSchedulableResourceImpl.html#basicSetHost-org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.Scheduler-org.eclipse.emf.common.notify.NotificationChain-">basicSetHost</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a>&nbsp;newHost,
            org.eclipse.emf.common.notify.NotificationChain&nbsp;msgs)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">SwSchedulableResourceImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Concurrency/impl/SwSchedulableResourceImpl.html#setHost-org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.Scheduler-">setHost</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a>&nbsp;newHost)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a> in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl</a> declared as <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></code></td>
<td class="colLast"><span class="typeNameLabel">SwCommunicationResourceImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html#mainScheduler">mainScheduler</a></span></code>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html#getMainScheduler--"><code><em>Main Scheduler</em></code></a>' reference.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></code></td>
<td class="colLast"><span class="typeNameLabel">SwMutualExclusionResourceImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwMutualExclusionResourceImpl.html#scheduler">scheduler</a></span></code>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwMutualExclusionResourceImpl.html#getScheduler--"><code><em>Scheduler</em></code></a>' reference.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl</a> that return <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></code></td>
<td class="colLast"><span class="typeNameLabel">SwCommunicationResourceImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html#basicGetMainScheduler--">basicGetMainScheduler</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></code></td>
<td class="colLast"><span class="typeNameLabel">SwMutualExclusionResourceImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwMutualExclusionResourceImpl.html#basicGetScheduler--">basicGetScheduler</a></span>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></code></td>
<td class="colLast"><span class="typeNameLabel">SwCommunicationResourceImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html#getMainScheduler--">getMainScheduler</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></code></td>
<td class="colLast"><span class="typeNameLabel">SwMutualExclusionResourceImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwMutualExclusionResourceImpl.html#getScheduler--">getScheduler</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl</a> with parameters of type <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.NotificationChain</code></td>
<td class="colLast"><span class="typeNameLabel">SwMutualExclusionResourceImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwMutualExclusionResourceImpl.html#basicSetScheduler-org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.Scheduler-org.eclipse.emf.common.notify.NotificationChain-">basicSetScheduler</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a>&nbsp;newScheduler,
                 org.eclipse.emf.common.notify.NotificationChain&nbsp;msgs)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">SwCommunicationResourceImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html#setMainScheduler-org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.Scheduler-">setMainScheduler</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a>&nbsp;newMainScheduler)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">SwMutualExclusionResourceImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwMutualExclusionResourceImpl.html#setScheduler-org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.Scheduler-">setScheduler</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a>&nbsp;newScheduler)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a> in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subinterfaces, and an explanation">
<caption><span>Subinterfaces of <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a> in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Interface and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SecondaryScheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SecondaryScheduler</a></span></code>
<div class="block">A representation of the model object '<em><b>Secondary Scheduler</b></em>'.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM</a> that return <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></code></td>
<td class="colLast"><span class="typeNameLabel">GRMFactory.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GRMFactory.html#createScheduler--">createScheduler</a></span>()</code>
<div class="block">Returns a new object of class '<em>Scheduler</em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></code></td>
<td class="colLast"><span class="typeNameLabel">SchedulableResource.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html#getHost--">getHost</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Host</b></em>' reference.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></code></td>
<td class="colLast"><span class="typeNameLabel">ProcessingResource.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ProcessingResource.html#getMainScheduler--">getMainScheduler</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Main Scheduler</b></em>' reference.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></code></td>
<td class="colLast"><span class="typeNameLabel">MutualExclusionResource.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/MutualExclusionResource.html#getScheduler--">getScheduler</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Scheduler</b></em>' reference.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM</a> with parameters of type <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">SchedulableResource.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html#setHost-org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.Scheduler-">setHost</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a>&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html#getHost--"><code><em>Host</em></code></a>' reference.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">ProcessingResource.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ProcessingResource.html#setMainScheduler-org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.Scheduler-">setMainScheduler</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a>&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ProcessingResource.html#getMainScheduler--"><code><em>Main Scheduler</em></code></a>' reference.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">MutualExclusionResource.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/MutualExclusionResource.html#setScheduler-org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.Scheduler-">setScheduler</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a>&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/MutualExclusionResource.html#getScheduler--"><code><em>Scheduler</em></code></a>' reference.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a> in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl</a> that implement <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/SchedulerImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl">SchedulerImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Scheduler</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/SecondarySchedulerImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl">SecondarySchedulerImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Secondary Scheduler</b></em>'.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl</a> declared as <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></code></td>
<td class="colLast"><span class="typeNameLabel">SchedulableResourceImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/SchedulableResourceImpl.html#host">host</a></span></code>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/SchedulableResourceImpl.html#getHost--"><code><em>Host</em></code></a>' reference.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></code></td>
<td class="colLast"><span class="typeNameLabel">ProcessingResourceImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ProcessingResourceImpl.html#mainScheduler">mainScheduler</a></span></code>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ProcessingResourceImpl.html#getMainScheduler--"><code><em>Main Scheduler</em></code></a>' reference.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></code></td>
<td class="colLast"><span class="typeNameLabel">MutualExclusionResourceImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/MutualExclusionResourceImpl.html#scheduler">scheduler</a></span></code>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/MutualExclusionResourceImpl.html#getScheduler--"><code><em>Scheduler</em></code></a>' reference.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl</a> that return <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></code></td>
<td class="colLast"><span class="typeNameLabel">SchedulableResourceImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/SchedulableResourceImpl.html#basicGetHost--">basicGetHost</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></code></td>
<td class="colLast"><span class="typeNameLabel">ProcessingResourceImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ProcessingResourceImpl.html#basicGetMainScheduler--">basicGetMainScheduler</a></span>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></code></td>
<td class="colLast"><span class="typeNameLabel">MutualExclusionResourceImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/MutualExclusionResourceImpl.html#basicGetScheduler--">basicGetScheduler</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></code></td>
<td class="colLast"><span class="typeNameLabel">GRMFactoryImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/GRMFactoryImpl.html#createScheduler--">createScheduler</a></span>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></code></td>
<td class="colLast"><span class="typeNameLabel">SchedulableResourceImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/SchedulableResourceImpl.html#getHost--">getHost</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></code></td>
<td class="colLast"><span class="typeNameLabel">ProcessingResourceImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ProcessingResourceImpl.html#getMainScheduler--">getMainScheduler</a></span>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></code></td>
<td class="colLast"><span class="typeNameLabel">MutualExclusionResourceImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/MutualExclusionResourceImpl.html#getScheduler--">getScheduler</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl</a> with parameters of type <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.NotificationChain</code></td>
<td class="colLast"><span class="typeNameLabel">SchedulableResourceImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/SchedulableResourceImpl.html#basicSetHost-org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.Scheduler-org.eclipse.emf.common.notify.NotificationChain-">basicSetHost</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a>&nbsp;newHost,
            org.eclipse.emf.common.notify.NotificationChain&nbsp;msgs)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.NotificationChain</code></td>
<td class="colLast"><span class="typeNameLabel">MutualExclusionResourceImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/MutualExclusionResourceImpl.html#basicSetScheduler-org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.Scheduler-org.eclipse.emf.common.notify.NotificationChain-">basicSetScheduler</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a>&nbsp;newScheduler,
                 org.eclipse.emf.common.notify.NotificationChain&nbsp;msgs)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">SchedulableResourceImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/SchedulableResourceImpl.html#setHost-org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.Scheduler-">setHost</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a>&nbsp;newHost)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">ProcessingResourceImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ProcessingResourceImpl.html#setMainScheduler-org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.Scheduler-">setMainScheduler</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a>&nbsp;newMainScheduler)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">MutualExclusionResourceImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/MutualExclusionResourceImpl.html#setScheduler-org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.Scheduler-">setScheduler</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a>&nbsp;newScheduler)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.util">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a> in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/util/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.util</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/util/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.util</a> with parameters of type <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/util/GRMSwitch.html" title="type parameter in GRMSwitch">T</a></code></td>
<td class="colLast"><span class="typeNameLabel">GRMSwitch.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/util/GRMSwitch.html#caseScheduler-org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.Scheduler-">caseScheduler</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Scheduler</em>'.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/class-use/Scheduler.html" target="_top">Frames</a></li>
<li><a href="Scheduler.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
